OAM Bundle Patch 21290044 Breaks GetScopedSessionToken API In ASDK OAM-04020 Error (Doc ID 2108160.1)

Last updated on MAY 02, 2017

Applies to:

Oracle Access Manager - Version 11.1.2.2.6 and later
Information in this document applies to any platform.

Symptoms

OAM 11.1.2.2.6 (via Patch 21290044)

Problem Summary
----------------------
OAM Bundle Patch 21290044 breaks getScopedSessionToken API in ASDK

Problem Description
------------------------
Applying Bundle Patch 21290044 causes the getScopedSessionToken API in the ASDK to return an OAMAGENT-02021 error.
On the server, the diagnostic logs report OAM-04020 "Invalid requestor token".

Customer is using the ASDK with an 11g WebGate as described in the internal note <Doc ID 1570185.1>


Error Codes
---------------
OAMAGENT-02021,OAM-04020

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms